#include "js_image_info.h"

namespace js
{

image::image()
{
	headerLength = 0;
}
image_component::image_component()
{
	precision = 0;
	horizontalSeparation = 0;
	verticalSeparation = 0;
}

tile::tile()
{
	headerLength = 0;
	bitstreamLength = 0;
}
tile_component::tile_component()
{

}

sizClass::sizClass()
{
	position = 0;

	profile = 0;
	nComponents = 1;

	x = 0;
	y = 0;
	xo = 0;
	yo = 0;
	xt = 0;
	yt = 0;
	xto = 0;
	yto = 0;
}
sotClass::sotClass()
{
	position = 0;

	tileIndex = 0;
	tilePartIndex = 0;
	tilePartLength = 0;
	nTileParts = 0;
}
codClass::codClass()
{
	useMe = false;
	position = 0;

	codeStyle = 0;

	progressionOrder = 0;
	nLayers = 0;
	multiCompTransform = 0;

	nLevels = 0;
	codeBlockWidth = 0;
	codeBlockHeight = 0;
	codeBlockStyle = 0;
	transform = 0;
}
cocClass::cocClass()
{
	useMe = false;
	position = 0;

	codeStyle = 0;

	nLevels = 0;
	codeBlockWidth = 0;
	codeBlockHeight = 0;
	codeBlockStyle = 0;
	transform = 0;
}
qcdClass::qcdClass()
{
	useMe = false;
	position = 0;

	quantStyle = 0;
}
qccClass::qccClass()
{
	useMe = false;
	position = 0;

	quantStyle = 0;
}
rgnClass::rgnClass()
{
	useMe = false;
	position = 0;

	roiStyle = 0;
	roiValue = 0;
}
pocClass::pocClass()
{
	useMe = false;
	position = 0;
}
ppmClass::ppmClass()
{
	useMe = false;
	position = 0;

	index = 0;
}
tlmClass::tlmClass()
{
	useMe = false;
	position = 0;

	index = 0;
	size = 0;
}
plmClass::plmClass()
{
	useMe = false;
	position = 0;

	index = 0;
}
pltClass::pltClass()
{
	useMe = false;
	position = 0;

	index = 0;
}
pptClass::pptClass()
{
	useMe = false;
	position = 0;

	index = 0;
}
crgClass::crgClass()
{
	useMe = false;
	position = 0;
}
comClass::comClass()
{
	useMe = false;
	position = 0;

	registration = 0;
}

} // End namespace js